Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process
Class ProcessBaseImpl

    java.lang.Object
      org.jbpm.process.ProcessBaseImpl

All Implemented Interfaces:
  org.drools.core.impl.InternalKnowledgeBase, KieBaseEventManager, KieBase, org.kie.internal.KnowledgeBase

    public class ProcessBaseImpl

extends Object
implements org.drools.core.impl.InternalKnowledgeBase

Constructor Summary
`ProcessBaseImpl()`

Method Summary
`void` | `addEventListener(KieBaseEventListener listener)` Add an event listener.
`void` | `addKnowledgePackage(org.kie.internal.definition.KnowledgePackage knowledgePackage)`
`void` | `addKnowledgePackages(Collection<org.kie.internal.definition.KnowledgePackage> knowledgePackages)`
`Set<String>` | `getEntryPointIds()` Returns the set of the entry points declared and/or used in this kie base
`FactType` | `getFactType(String packageName, String typeName)` Returns a reference to the `FactType` identified by the given package and type names.
`Collection<KieBaseEventListener>` | `getKieBaseEventListeners()` Returns all event listeners.
`KiePackage` | `getKiePackage(String packageName)` Returns a reference to the `KiePackage` identified by the given name.
`Collection<KiePackage>` | `getKiePackages()` Returns a collection of the `KiePackage`s that exist in this `KieBase`.
`Collection<org.kie.internal.runtime.StatefulKnowledgeSession>` | `getKieSessions()` Returns a collection of the `KieSession`s that exist in this `KieBase`.
`org.kie.internal.definition.KnowledgePackage` | `getKnowledgePackage(String packageName)`
`Collection<org.kie.internal.definition.KnowledgePackage>` | `getKnowledgePackages()`
`Process` | `getProcess(String processId)` Returns a reference to the `Process` identified by the given processId
`Collection<Process>` | `getProcesses()` Returns a collection of the `Process`es that exist in this `KieBase`.
`Query` | `getQuery(String packageName, String queryName)` Returns a reference to the `Query` identified by the given package and query names.
`Rule` | `getRule(String packageName, String ruleName)` Returns a reference to the `Rule` identified by the given package and rule names.
`org.drools.core.RuleBase` | `getRuleBase()`
`Collection<org.kie.internal.runtime.StatefulKnowledgeSession>` | `getStatefulKnowledgeSessions()`
`KieSession` | `newKieSession()` Creates a new `KieSession` using the default session configuration.
`KieSession` | `newKieSession(KieSessionConfiguration conf, Environment environment)` Creates a new `KieSession` using the given session configuration and/or environment.
`org.kie.internal.runtime.StatefulKnowledgeSession` | `newStatefulKnowledgeSession()`
`org.kie.internal.runtime.StatefulKnowledgeSession` | `newStatefulKnowledgeSession(KieSessionConfiguration conf, Environment environment)`
`org.kie.internal.runtime.StatelessKnowledgeSession` | `newStatelessKieSession()` Creates a new `StatelessKieSession` using the default session configuration.
`org.kie.internal.runtime.StatelessKnowledgeSession` | `newStatelessKieSession(KieSessionConfiguration conf)` Creates a new `StatelessKieSession` using the given session configuration.
`org.kie.internal.runtime.StatelessKnowledgeSession` | `newStatelessKnowledgeSession()`
`org.kie.internal.runtime.StatelessKnowledgeSession` | `newStatelessKnowledgeSession(KieSessionConfiguration conf)`
`void` | `removeEventListener(KieBaseEventListener listener)` Remove an event listener.
`void` | `removeFunction(String packageName, String ruleName)` Removes a function from the specified package.
`void` | `removeKiePackage(String packageName)` Removes a `KiePackage` and all the definitions it contains from the `KieBase`
`void` | `removeKnowledgePackage(String packageName)`
`void` | `removeProcess(String processId)` Removes a process.
`void` | `removeQuery(String packageName, String queryName)` Removes a query from the specified package.
`void` | `removeRule(String packageName, String ruleName)` Removes a rule from the specified package.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessBaseImpl

    public ProcessBaseImpl()

Method Detail

### addEventListener

    public void addEventListener(KieBaseEventListener listener)

  Description copied from interface: `KieBaseEventManager`
  Add an event listener.

  Specified by:
    `addEventListener` in interface `KieBaseEventManager`
  Parameters:
    `listener` - The listener to add.

### removeEventListener

    public void removeEventListener(KieBaseEventListener listener)

  Description copied from interface: `KieBaseEventManager`
  Remove an event listener.

  Specified by:
    `removeEventListener` in interface `KieBaseEventManager`
  Parameters:
    `listener` - The listener to remove.

### getKieBaseEventListeners

    public Collection<KieBaseEventListener> getKieBaseEventListeners()

  Description copied from interface: `KieBaseEventManager`
  Returns all event listeners.

  Specified by:
    `getKieBaseEventListeners` in interface `KieBaseEventManager`
  Returns:
    listeners The listeners.

### addKnowledgePackage

    public void addKnowledgePackage(org.kie.internal.definition.KnowledgePackage knowledgePackage)

### addKnowledgePackages

    public void addKnowledgePackages(Collection<org.kie.internal.definition.KnowledgePackage> knowledgePackages)

  Specified by:
    `addKnowledgePackages` in interface `org.kie.internal.KnowledgeBase`

### getKnowledgePackages

    public Collection<org.kie.internal.definition.KnowledgePackage> getKnowledgePackages()

  Specified by:
    `getKnowledgePackages` in interface `org.kie.internal.KnowledgeBase`

### newStatefulKnowledgeSession

    public org.kie.internal.runtime.StatefulKnowledgeSession newStatefulKnowledgeSession()

  Specified by:
    `newStatefulKnowledgeSession` in interface `org.kie.internal.KnowledgeBase`

### newKieSession

    public KieSession newKieSession()

  Description copied from interface: `KieBase`
  Creates a new `KieSession` using the default session configuration. Don't forget to `KieSession.dispose()` session when you are done.

  Specified by:
    `newKieSession` in interface `KieBase`
  Returns:
    created `KieSession`

### newStatefulKnowledgeSession

    public org.kie.internal.runtime.StatefulKnowledgeSession newStatefulKnowledgeSession(KieSessionConfiguration conf,
                                                                                         Environment environment)

  Specified by:
    `newStatefulKnowledgeSession` in interface `org.kie.internal.KnowledgeBase`

### newKieSession

    public KieSession newKieSession(KieSessionConfiguration conf,
                                    Environment environment)

  Description copied from interface: `KieBase`
  Creates a new `KieSession` using the given session configuration and/or environment. Either one can be null and it will use a default. Don't forget to `KieSession.dispose()` session when you are done.

  Specified by:
    `newKieSession` in interface `KieBase`
  Parameters:
    `conf` - session configuration
  Returns:
    created `KieSession`

### getStatefulKnowledgeSessions

    public Collection<org.kie.internal.runtime.StatefulKnowledgeSession> getStatefulKnowledgeSessions()

  Specified by:
    `getStatefulKnowledgeSessions` in interface `org.kie.internal.KnowledgeBase`

### getKieSessions

    public Collection<org.kie.internal.runtime.StatefulKnowledgeSession> getKieSessions()

  Description copied from interface: `KieBase`
  Returns a collection of the `KieSession`s that exist in this `KieBase`. Be careful as sessions are not thread-safe and could be in use elsewhere.

  Specified by:
    `getKieSessions` in interface `KieBase`
  Returns:
    a Collection of `KieSession`s

### newStatelessKnowledgeSession

    public org.kie.internal.runtime.StatelessKnowledgeSession newStatelessKnowledgeSession()

  Specified by:
    `newStatelessKnowledgeSession` in interface `org.kie.internal.KnowledgeBase`

### newStatelessKieSession

    public org.kie.internal.runtime.StatelessKnowledgeSession newStatelessKieSession()

  Description copied from interface: `KieBase`
  Creates a new `StatelessKieSession` using the default session configuration. You do not need to call @{link #dispose()} on this.

  Specified by:
    `newStatelessKieSession` in interface `KieBase`
  Returns:
    created `StatelessKieSession`

### newStatelessKnowledgeSession

    public org.kie.internal.runtime.StatelessKnowledgeSession newStatelessKnowledgeSession(KieSessionConfiguration conf)

  Specified by:
    `newStatelessKnowledgeSession` in interface `org.kie.internal.KnowledgeBase`

### newStatelessKieSession

    public org.kie.internal.runtime.StatelessKnowledgeSession newStatelessKieSession(KieSessionConfiguration conf)

  Description copied from interface: `KieBase`
  Creates a new `StatelessKieSession` using the given session configuration. You do not need to call `KieSession.dispose()` on this.

  Specified by:
    `newStatelessKieSession` in interface `KieBase`
  Parameters:
    `conf` - session configuration
  Returns:
    created `StatelessKieSession`

### removeKnowledgePackage

    public void removeKnowledgePackage(String packageName)

  Specified by:
    `removeKnowledgePackage` in interface `org.kie.internal.KnowledgeBase`

### removeRule

    public void removeRule(String packageName,
                           String ruleName)

  Description copied from interface: `KieBase`
  Removes a rule from the specified package.

  Specified by:
    `removeRule` in interface `KieBase`
  Specified by:
    `removeRule` in interface `org.kie.internal.KnowledgeBase`
  Parameters:
    `packageName` - the package name to which the rule belongs to
    `ruleName` - the name of the rule

### removeQuery

    public void removeQuery(String packageName,
                            String queryName)

  Description copied from interface: `KieBase`
  Removes a query from the specified package.

  Specified by:
    `removeQuery` in interface `KieBase`
  Specified by:
    `removeQuery` in interface `org.kie.internal.KnowledgeBase`
  Parameters:
    `packageName` - the package name to which the query belongs to
    `queryName` - the name of the query

### removeFunction

    public void removeFunction(String packageName,
                               String ruleName)

  Description copied from interface: `KieBase`
  Removes a function from the specified package.

  Specified by:
    `removeFunction` in interface `KieBase`
  Specified by:
    `removeFunction` in interface `org.kie.internal.KnowledgeBase`
  Parameters:
    `packageName` - the package name to which the function belongs to
    `ruleName` - the name of the function

### removeProcess

    public void removeProcess(String processId)

  Description copied from interface: `KieBase`
  Removes a process.

  Specified by:
    `removeProcess` in interface `KieBase`
  Specified by:
    `removeProcess` in interface `org.kie.internal.KnowledgeBase`
  Parameters:
    `processId` - the id of the process

### getFactType

    public FactType getFactType(String packageName,
                                String typeName)

  Description copied from interface: `KieBase`
  Returns a reference to the `FactType` identified by the given package and type names.

  Specified by:
    `getFactType` in interface `KieBase`
  Specified by:
    `getFactType` in interface `org.kie.internal.KnowledgeBase`
  Parameters:
    `packageName` - the name of the package the fact belongs to
    `typeName` - the name of the type
  Returns:
    the `FactType` identified by the parameters or null if not found.

### getKnowledgePackage

    public org.kie.internal.definition.KnowledgePackage getKnowledgePackage(String packageName)

  Specified by:
    `getKnowledgePackage` in interface `org.kie.internal.KnowledgeBase`

### getProcess

    public Process getProcess(String processId)

  Description copied from interface: `KieBase`
  Returns a reference to the `Process` identified by the given processId

  Specified by:
    `getProcess` in interface `KieBase`
  Specified by:
    `getProcess` in interface `org.kie.internal.KnowledgeBase`
  Parameters:
    `processId` - the id of the process
  Returns:
    the `Process` identified by the given processId or null if process not found.

### getProcesses

    public Collection<Process> getProcesses()

  Description copied from interface: `KieBase`
  Returns a collection of the `Process`es that exist in this `KieBase`.

  Specified by:
    `getProcesses` in interface `KieBase`
  Specified by:
    `getProcesses` in interface `org.kie.internal.KnowledgeBase`
  Returns:
    an immutable collection of the processes

### getRule

    public Rule getRule(String packageName,
                        String ruleName)

  Description copied from interface: `KieBase`
  Returns a reference to the `Rule` identified by the given package and rule names.

  Specified by:
    `getRule` in interface `KieBase`
  Specified by:
    `getRule` in interface `org.kie.internal.KnowledgeBase`
  Parameters:
    `packageName` - the package name to which the rule belongs to
    `ruleName` - the name of the rule
  Returns:
    the `Rule` object or null if not found

### getQuery

    public Query getQuery(String packageName,
                          String queryName)

  Description copied from interface: `KieBase`
  Returns a reference to the `Query` identified by the given package and query names.

  Specified by:
    `getQuery` in interface `KieBase`
  Specified by:
    `getQuery` in interface `org.kie.internal.KnowledgeBase`
  Parameters:
    `packageName` - the package name to which the query belongs to
    `queryName` - the name of the query
  Returns:
    the `Query` object or null if not found.

### getRuleBase

    public org.drools.core.RuleBase getRuleBase()

  Specified by:
    `getRuleBase` in interface `org.drools.core.impl.InternalKnowledgeBase`

### getEntryPointIds

    public Set<String> getEntryPointIds()

  Description copied from interface: `KieBase`
  Returns the set of the entry points declared and/or used in this kie base

  Specified by:
    `getEntryPointIds` in interface `KieBase`
  Specified by:
    `getEntryPointIds` in interface `org.kie.internal.KnowledgeBase`
  Returns:
    a Set of entry points

### getKiePackages

    public Collection<KiePackage> getKiePackages()

  Description copied from interface: `KieBase`
  Returns a collection of the `KiePackage`s that exist in this `KieBase`.

  Specified by:
    `getKiePackages` in interface `KieBase`
  Returns:
    an immutable collection of the packages

### getKiePackage

    public KiePackage getKiePackage(String packageName)

  Description copied from interface: `KieBase`
  Returns a reference to the `KiePackage` identified by the given name.

  Specified by:
    `getKiePackage` in interface `KieBase`
  Parameters:
    `packageName` - the name of the `KiePackage` to return
  Returns:
    the `KiePackage` identified by the the given name or null if package not found.

### removeKiePackage

    public void removeKiePackage(String packageName)

  Description copied from interface: `KieBase`
  Removes a `KiePackage` and all the definitions it contains from the `KieBase`

  Specified by:
    `removeKiePackage` in interface `KieBase`
  Parameters:
    `packageName` - the name of the `KiePackage` to remove

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.